uima-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sc...@apache.org
Subject svn commit: r993519 - in /uima/uimaj/trunk: uimaj-ep-configurator/pom.xml uimaj-ep-debug/pom.xml uimaj-ep-jcasgen/pom.xml uimaj-ep-pear-packager/pom.xml
Date Tue, 07 Sep 2010 20:25:47 GMT
Author: schor
Date: Tue Sep  7 20:25:47 2010
New Revision: 993519

URL: http://svn.apache.org/viewvc?rev=993519&view=rev
Log:
[UIMA-1865] lock down transitive dependency versions for Eclipse artifacts in the uimaj-core.

Also clean up unneeded excludes in bundle instructions causing warnings, in -configurator
and -pear-packager

Modified:
    uima/uimaj/trunk/uimaj-ep-configurator/pom.xml
    uima/uimaj/trunk/uimaj-ep-debug/pom.xml
    uima/uimaj/trunk/uimaj-ep-jcasgen/pom.xml
    uima/uimaj/trunk/uimaj-ep-pear-packager/pom.xml

Modified: uima/uimaj/trunk/uimaj-ep-configurator/pom.xml
URL: http://svn.apache.org/viewvc/uima/uimaj/trunk/uimaj-ep-configurator/pom.xml?rev=993519&r1=993518&r2=993519&view=diff
==============================================================================
--- uima/uimaj/trunk/uimaj-ep-configurator/pom.xml (original)
+++ uima/uimaj/trunk/uimaj-ep-configurator/pom.xml Tue Sep  7 20:25:47 2010
@@ -219,6 +219,89 @@
       <scope>provided</scope>
     </dependency>
 
+    <!-- These next dependencies are just to lock down the
+         transitive dependencies of the above.
+         This was done because on Sept 7 2010 somebody uploaded
+         corrupted versions of these to maven central. -->
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.runtime</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>         
+     <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.registry</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.jobs</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.contenttype</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.preferences</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.runtime.compatibility.auth</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>  
+    <dependency>
+      <groupId>org.eclipse.osgi</groupId>
+      <artifactId>org.eclipse.osgi</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.filesystem</artifactId>
+      <version>1.0.0</version>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.common</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.resources</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ant</groupId>
+      <artifactId>org.eclipse.ant.core</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.expressions</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.variables</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>    
+
   </dependencies>
 
   <build>
@@ -291,14 +374,11 @@ org.eclipse.core.runtime
               
             <Import-Package>
               !org.eclipse.jface.text,  <!-- the ! means to exclude this -->
-              !org.eclipse.jface.text.link,
               !org.eclipse.jface.text.source,
-              !org.eclipse.jface.text.templates,
               !org.eclipse.ui.texteditor,
               !org.eclipse.ui,
               !org.eclipse.ui.actions,
               !org.eclipse.ui.dialogs,
-              !org.eclipse.ui.model,
               !org.eclipse.ui.part,
               !org.eclipse.core.runtime,
               *,

Modified: uima/uimaj/trunk/uimaj-ep-debug/pom.xml
URL: http://svn.apache.org/viewvc/uima/uimaj/trunk/uimaj-ep-debug/pom.xml?rev=993519&r1=993518&r2=993519&view=diff
==============================================================================
--- uima/uimaj/trunk/uimaj-ep-debug/pom.xml (original)
+++ uima/uimaj/trunk/uimaj-ep-debug/pom.xml Tue Sep  7 20:25:47 2010
@@ -102,6 +102,85 @@ UIMA data structures to the Eclipse Debu
 			<scope>provided</scope>
 		</dependency>
     
+    <!-- dependencies added to overcome 3.6 maven central corrupted upload -->
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.filesystem</artifactId>
+      <version>1.0.0</version>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.resources</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.runtime</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.common</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.osgi</groupId>
+      <artifactId>org.eclipse.osgi</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.expressions</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.variables</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ant</groupId>
+      <artifactId>org.eclipse.ant.core</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.registry</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.jobs</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.preferences</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.contenttype</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.runtime.compatibility.auth</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>  
 	</dependencies>
   
 	<build>  

Modified: uima/uimaj/trunk/uimaj-ep-jcasgen/pom.xml
URL: http://svn.apache.org/viewvc/uima/uimaj/trunk/uimaj-ep-jcasgen/pom.xml?rev=993519&r1=993518&r2=993519&view=diff
==============================================================================
--- uima/uimaj/trunk/uimaj-ep-jcasgen/pom.xml (original)
+++ uima/uimaj/trunk/uimaj-ep-jcasgen/pom.xml Tue Sep  7 20:25:47 2010
@@ -113,6 +113,86 @@
 			<version>2.1.0</version>
 			<scope>provided</scope>
 		</dependency>
+    
+    <!-- These next dependencies are just to lock down the
+         transitive dependencies of the above.
+         This was done because on Sept 7 2010 somebody uploaded
+         corrupted versions of these to maven central. -->
+     <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.registry</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.jobs</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.contenttype</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.preferences</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.runtime.compatibility.auth</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>  
+    <dependency>
+      <groupId>org.eclipse.osgi</groupId>
+      <artifactId>org.eclipse.osgi</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.filesystem</artifactId>
+      <version>1.0.0</version>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.common</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.resources</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ant</groupId>
+      <artifactId>org.eclipse.ant.core</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.expressions</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.variables</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>
+
+         
+             
 	</dependencies>
   
 	<build>

Modified: uima/uimaj/trunk/uimaj-ep-pear-packager/pom.xml
URL: http://svn.apache.org/viewvc/uima/uimaj/trunk/uimaj-ep-pear-packager/pom.xml?rev=993519&r1=993518&r2=993519&view=diff
==============================================================================
--- uima/uimaj/trunk/uimaj-ep-pear-packager/pom.xml (original)
+++ uima/uimaj/trunk/uimaj-ep-pear-packager/pom.xml Tue Sep  7 20:25:47 2010
@@ -129,6 +129,77 @@
       <scope>provided</scope>
     </dependency>   
 
+    <!-- These next dependencies are just to lock down the
+         transitive dependencies of the above.
+         This was done because on Sept 7 2010 somebody uploaded
+         corrupted versions of these to maven central. -->
+ 
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.registry</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.jobs</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.contenttype</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.preferences</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.runtime.compatibility.auth</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>  
+    <dependency>
+      <groupId>org.eclipse.osgi</groupId>
+      <artifactId>org.eclipse.osgi</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.filesystem</artifactId>
+      <version>1.0.0</version>
+      <scope>provided</scope>
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.equinox</groupId>
+      <artifactId>org.eclipse.equinox.common</artifactId>
+      <version>3.2.0</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.ant</groupId>
+      <artifactId>org.eclipse.ant.core</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.expressions</artifactId>
+      <version>3.2.1</version>
+      <scope>provided</scope>      
+    </dependency>
+    <dependency>
+      <groupId>org.eclipse.core</groupId>
+      <artifactId>org.eclipse.core.variables</artifactId>
+      <version>3.1.100</version>
+      <scope>provided</scope>      
+    </dependency>    
 	</dependencies>
 	<build>
     
@@ -191,19 +262,11 @@ org.eclipse.ui,
 org.eclipse.ui.workbench,
 org.eclipse.core.runtime
             </Require-Bundle>
-            <Import-Package>
-              !org.eclipse.jface.text,
-              !org.eclipse.jface.text.link,
-              !org.eclipse.jface.text.source,
-              !org.eclipse.jface.text.templates,
-              !org.eclipse.ui.texteditor,
-              !org.eclipse.ui.workbench,
+            <Import-Package>              
               !org.eclipse.core.runtime,
               !org.eclipse.ui,
-              !org.eclipse.ui.actions,
               !org.eclipse.ui.dialogs,
-              !org.eclipse.ui.model,
-              !org.eclipse.ui.part, 
+              !org.eclipse.ui.model, 
               *
             </Import-Package> 
     



Mime
View raw message